tdb (1.4.9-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 21:00:19 +0000

tdb (1.4.9-2) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * debian/upstream/metadata: Add Repository, Repository-Browse

  [ Michael Tokarev ]
  * d/rules: wrap _PYTHON_SYSCONFIGDATA_NAME setting to cross-compile case
    On e.g. buster, _PYTHON_SYSCONFIGDATA_NAME is different, so this assignment
    does not work right.  In order for it to work on buster, add condition on
    host vs build gnu type. This breaks compilation with foreign python binary.

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 04 Aug 2023 14:23:27 +0300

tdb (1.4.9-1) unstable; urgency=medium

  * new upstream release

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 23:12:17 +0300

tdb (1.4.8-2) unstable; urgency=medium

  * d/rules: build for all installed py3versions
    instead of default/supported (not enabled still)
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: remove unused ${python3:Provides}
  * d/control: put all doc-generating build-deps into one line
  * little prep for cross-compilation
  * d/control: work around autodep8 #904999 again

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 17:12:31 +0300

tdb (1.4.8-1) unstable; urgency=medium

  * new upstream release (1.4.8, from samba 4.18):
    - Support python 3.12
  * d/libtdb1.symbols: add new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:33:25 +0300

tdb (1.4.7-3) unstable; urgency=medium

  * Allow building for multiple python3 versions (disabled for now)
  * d/rules: support "terse" build option for non-verbose build
  * d/source/lintian-overrides: add 2 overrides
  * d/salsa-ci.yml:
    - instead of allowing blhc to (always) fail, disable it
    - disable crossbuild-arm64 test (samba does not cross-build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 18:48:56 +0300

tdb (1.4.7-2) unstable; urgency=medium

  * d/rules: inline parallel check from dpkg/buildopts.mk
  * d/rules: use ${} for variables consistently
  * d/rules: use $(filter) instead of $(findstring) to look for nocheck
    in ${DEB_BUILD_OPTIONS}

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:51:37 +0300

tdb (1.4.7-1) unstable; urgency=medium

  * new upstream release 1.4.7
  * remove 0001-Add-support-for-GNU-kFreeBSD.patch (applied upstream)
  * d/libtdb1.symbols: add new version
  * d/control: bump std-version to 4.6.1 (no changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 09 Sep 2022 13:34:49 +0300

tdb (1.4.6-3) unstable; urgency=medium

  * many tweaks for d/rules:
   - switch from --with python to dh-sequence-python3
     and stop overriding --fail-missing with dh=13
   - replace slow architecture.mk with fast inline version
   - reorder targets for readability
   - reorder configure arguments for readability
   - rework clean target
   - move libtdb.a build to build target and build it in bin/
   - restrict targets for which we run dh
   - stop overriding dh_makeshlibdeps,
     set DPKG_GENSYMBOLS_CHECK_LEVEL instead
   - make configure & build depend on config-stamp
     to stop configure rerun on each build
   - set SHELL to /bin/sh -e
  * remove _PUBLIC_ define from the public header entirely,
    not only the usage of this define, to stop polluting
    the namespace

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 04 May 2022 20:11:55 +0300

tdb (1.4.6-2) unstable; urgency=medium

  * d/rules include buildflags.mk instead of open-coding CFLAGS etc definitions
  * d/rules: remove _PUBLIC_ markers from public header file
    fixing samba-4.16 ftbfs
  * d/rules: clean up bin/ not build/

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 26 Mar 2022 19:23:34 +0300

tdb (1.4.6-1) unstable; urgency=medium

  * New upstream version 1.4.6
    - update symbols
  * Switch to debhelper-compat = 13
  * Add myself to Uploaders

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 23 Mar 2022 12:31:55 +0300

tdb (1.4.5-2) unstable; urgency=medium

  * CI: Allow failures for te bhlc job
  * Add 0001-Add-support-for-GNU-kFreeBSD.patch (Closes: #990877)

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 20:45:23 +0100

tdb (1.4.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Mathieu Parent ]
  * New upstream version 1.4.5
    - Update symbols
    - Update 30_tdb_logging_func.diff
  * Standards-Version: 4.6.0, no change
  * d/copyright: Remove duplicate globbing pattern
  * Update watch file format version to 4.

 -- Mathieu Parent <sathieu@debian.org>  Mon, 13 Dec 2021 21:52:11 +0100

tdb (1.4.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.
  * Update standards version to 4.5.0, no changes needed.

  [ Mathieu Parent ]
  * New upstream version 1.4.3
    - Update symbols

 -- Mathieu Parent <sathieu@debian.org>  Sun, 21 Jun 2020 08:54:45 +0200

tdb (1.4.2-3) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.

  [ Mathieu Parent ]
  * Build on hurd-i386 too (Closes: #759008)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:33:20 +0100

tdb (1.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 09:51:38 +0200

tdb (1.4.2-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 1.4.2
    - d/watch Unpin to tdb 1.3.x
    - Drop python-tdb (Closes: #938630)
    - Update override_dh_auto_clean for Python3
    - Update debian/libtdb1.symbols

 -- Mathieu Parent <sathieu@debian.org>  Fri, 13 Sep 2019 07:38:01 +0200

tdb (1.3.18-2) unstable; urgency=medium

  * Upload to unstable
  * Update salsa-ci.yml
  * Standards-Version: 4.4.0
  * Bump debhelper from old 11 to 12.
    - dh_install --list-missing removed in compat 12
  * Use dh_missing --fail-missing
  * d/copyright
    - s/GPL-3+/GPL-3.0+/ and s/LGPL-3+/LGPL-3.0+/
    - Move License details to end of file
    - Add waf licences
    - Add lib/replace licences

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 13:58:32 +0200

tdb (1.3.18-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols
    - Standards-Version: 4.3.0
  * Add Debian pipeline (debian/gitlab-ci.yml)
  * d/watch: Pin to tdb 1.3.x for now as 1.4.x drop --extra-python support
  * New upstream version 1.3.18

  [ Andreas Hasenack ]
  * d/p/40_test_transaction_expand_non_fatal.diff: refresh to get rid of fuzz
  * d/rules: cleanup more pyc files waf is leaving behind
  * d/rules: unset PYTHON, and now extra python version is 2 since 3 is default
  * d/libtdb1.symbols: added new symbols for 1.3.17 and 1.3.18
  * d/libtdb-dev.install: also install the static library

 -- Mathieu Parent <sathieu@debian.org>  Sat, 23 Mar 2019 15:11:32 +0100

tdb (1.3.16-2) unstable; urgency=medium

  * Add debian/upstream/metadata.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 23 Oct 2018 09:08:42 +0000

tdb (1.3.16-1) unstable; urgency=medium

  * New upstream version 1.3.16 (Closes: #907187)
    - Update symbols, no change
  * d/changelog: Fix file-contains-trailing-whitespace
  * d/control: Rules-Requires-Root: no
  * d/control: Standards-Version: 4.2.1
  * d/rules: Remove dbgsym-migration in override_dh_strip

 -- Mathieu Parent <sathieu@debian.org>  Mon, 17 Sep 2018 21:24:47 +0200

tdb (1.3.15-4) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:42:07 +0200

tdb (1.3.15-3) experimental; urgency=medium

  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
  * Standards-Version: 4.1.3, no change
  * Remove trailing whitespaces in debian/changelog

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:34:04 +0100

tdb (1.3.15-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:26:41 +0200

tdb (1.3.15-1) experimental; urgency=medium

  * New upstream version 1.3.15
    - Update symbols
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Thu, 28 Sep 2017 23:22:46 +0200

tdb (1.3.13-2) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Mon, 19 Jun 2017 17:23:50 +0200

tdb (1.3.13-1) experimental; urgency=medium

  * New upstream version 1.3.13
    -  Update symbols (no change)
  * Remove Replaces+Conflicts: tdb-dev (<< 1.2.0-1). Wheezy has 1.2.10-2

 -- Mathieu Parent <sathieu@debian.org>  Thu, 08 Jun 2017 22:42:07 +0200

tdb (1.3.11-2) unstable; urgency=medium

  * Use automatic debug packages (-dbgsym)
  * Mark libtdb-dev Multi-Arch: same

 -- Mathieu Parent <sathieu@debian.org>  Sun, 09 Oct 2016 18:04:12 +0200

tdb (1.3.11-1) unstable; urgency=medium

  * New upstream release.
    - Update symbols (added tdb_storev)
  * Add me to uploaders
  * Use secure Vcs-* uris
  * Remove XS-Testsuite header in debian/control
  * Fix copyright-refers-to-symlink-license
  * Use https and verify upstream tarball from uscan
  * Add missing GPL-3+ license paragraph in debian/copyright
  * Bump standards version to 3.9.8 (no changes)
  * Enable all hardening and use DEB_*FLAGS_APPEND

 -- Mathieu Parent <sathieu@debian.org>  Sun, 09 Oct 2016 15:56:21 +0200

tdb (1.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 02 May 2016 15:20:32 +0000

tdb (1.3.8-2) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Drop '-b unstable' flag to Vcs-Git.

  [ Matthias Klose ]
  * Build Python3 bindings. Closes: #815141

  [ Jelmer Vernooij ]
  * Bump standards version to 3.9.7 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2015 16:10:29 +0000

tdb (1.3.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 21:24:17 +0000

tdb (1.3.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Fix license name uniqueness.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 02:57:15 +0000

tdb (1.3.5-1) unstable; urgency=medium

  * Fix watch URL.
  * New upstream release.
  * Drop 01_reproducible_builds.diff: applied upstream.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 30 Apr 2015 23:48:52 +0000

tdb (1.3.4-2) unstable; urgency=medium

  * debian/rules: Pass CPPFLAGS from dpkg-buildflags onto configure,
    enabling hardening.
  * Make libtdb2-dbg Multi-Arch: same.
  * Add patch 01_reproducible_builds.diff: Make build reproducible by
    adding set dates to manpages.
  * debian/copyright: Fix paths for lib/replace.
  * debian/copyright: Add paragraph for most of tdb.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 26 Apr 2015 10:14:38 +0000

tdb (1.3.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 09 Jan 2015 15:03:02 +0000

tdb (1.3.3-1) unstable; urgency=medium

  * New upstream release.
  * Update 40_test_transaction_expand_non_fatal.diff: Remove
    ignoring of tdb1-run-mutex-openflags2 test output,
    as the test was fixed upstream.

  * Add dh-python to Build-Depends.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 02 Dec 2014 21:03:18 +0000

tdb (1.3.2-1) unstable; urgency=medium

  * New upstream release.
   + Fixes __attribute__((visibility)) check to not use nested functions.
     Closes: #749986
  * Drop missing-stdbool-include.patch; now included upstream.
  * Update 40_test_transaction_expand_non_fatal.diff: Ignore tdb1-run-
    mutex-openflags2 test output, since newly added test fails on
    Debian.
  * Bump standards version to 3.9.6 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 01 Dec 2014 21:44:24 +0000

tdb (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Use canonical URL in Vcs-Git header.
  * Specify branch in Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 06 Jul 2014 01:36:22 +0200

tdb (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick patch from upstream bug #10625 to fix FTBFS of
    reverse-build-deps which include <tdb.h> due to missing <stdbool.h>
    include. (Closes: #750572)

 -- Iain Lane <laney@debian.org>  Wed, 04 Jun 2014 16:10:40 +0100

tdb (1.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Jun 2014 01:17:31 +0200

tdb (1.2.13-4) unstable; urgency=medium

  * Fix libtdb-dev architecture to not build on hurd.
  * Stop autopkgtest depending on build.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 May 2014 16:54:35 +0200

tdb (1.2.13-3) unstable; urgency=medium

  * Only build on linux-any and kfreebsd-any, since the Hurd does not
    yet support byte range locking (bug #190367).

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 24 May 2014 03:51:19 +0200

tdb (1.2.13-2) unstable; urgency=medium

  * Allow output on standard error from python testsuite.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 21 Apr 2014 14:46:36 +0200

tdb (1.2.13-1) unstable; urgency=low

  * New upstream release.
  * Add basic autopkgtest for running python tests.
  * Change maintainer to Samba Debian maintainers, move myself to uploaders.
  * Bump standards version to 3.9.5 (no changes).
  * Fix --as-needed with waf.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 20 Aug 2013 01:04:01 +0000

tdb (1.2.12-1) unstable; urgency=low

  [ Andrew Bartlett ]
  * New upstream release.
   + Drop 08_waf_python_config integrated upstream.
   + Fixes two FTBFS bugs. Closes: #710342, #713098

  [ Jelmer Vernooij ]
  * Migrate to Git.
  * Bump standards version to 3.9.4.
  * Fix duplicate line in copyright file.
  * Use dpkg-buildflags, enabling hardening.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 11 Aug 2013 13:37:12 +0000

tdb (1.2.11-2.1) experimental; urgency=low

  * Non-maintainer upload with maintainer's agreement.
  * New upstream release.
   + Add 08_waf_python_config to cope with python-config no longer
     being a script.
   + Adapt 40_test_transaction_expand_non_fatal.diff after conflicts

 -- Andrew Bartlett <abartlet@samba.org>  Tue, 12 Feb 2013 20:43:55 +1100

tdb (1.2.10-2) unstable; urgency=high

  [ Ivo De Decker ]
  * Make transaction-expand test non-fatal. Fixes FTBFS. Closes: #674749
  * Fix version in symbols file to make lintian happy.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 28 May 2012 00:16:23 +0200

tdb (1.2.10-1.1) unstable; urgency=high

  * Fix version in symbols file to make lintian happy.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sun, 27 May 2012 12:55:11 +0200

tdb (1.2.10-1) unstable; urgency=low

  * debian/rules: Remove unnecessary clean: target.
  * Properly clean up after building.
  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 11 Apr 2012 15:46:13 +0200

tdb (1.2.9+git20120207-2) unstable; urgency=low

  * Bump standards version to 3.9.3 (no changes).
  * Use parseable format for copyright file.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Feb 2012 15:45:33 +0100

tdb (1.2.9+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf sourcecode. Closes: #654509
   + Fixes build issues when IOV_MAX is not available, as is
     the case on Hurd systems. Closes: #657021

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 14:38:34 +0100

tdb (1.2.9-4) unstable; urgency=low

  * Explicitly use dh_python2.
  * Use system Python. Closes: #577435

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Sep 2011 19:13:08 +0200

tdb (1.2.9-3) unstable; urgency=low

  * Upload to unstable.
  * Use new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:30:26 +0200

tdb (1.2.9-2) experimental; urgency=low

  * Add python-tdb-dbg and libtdb1-dbg packages.
  * Bump standards version to 3.9.2.
  * Use --disable-rpath-install only, simplifies testsuite running.
  * Switch from dh_pycentral to dh_python2. Closes: #617120
  * Drop transitional package tdb-dev.
  * Add support for multiarch to libtdb1.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:36:40 +0200

tdb (1.2.9-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 Jan 2011 22:23:33 -0800

tdb (1.2.8-1) unstable; urgency=low

  * New upstream release.
   + Introduces symbol versioning.
  * Switch to python-support.
  * Run testsuite during build.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 19:30:08 +0100

tdb (1.2.7+git20101021-1) unstable; urgency=low

  * New upstream snapshot.
   + Removes use of _PUBLIC_ from tdb.h. Closes: #600898

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Oct 2010 16:38:46 +0200

tdb (1.2.7-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 04 Oct 2010 21:55:48 +0200

tdb (1.2.3~git20100819-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.1 (no changes).
  * Switch to bzr.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 22 Aug 2010 14:21:07 +0200

tdb (1.2.2~git20100507-1) experimental; urgency=low

  * New upstream snapshot.
  * Build with standard system python. Closes: #577435
  * Remove `tdb_transaction_recover` symbol which was also removed upstream.
    This symbol was never intended to be public and would have been hard to
    use anyway.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 13 May 2010 18:42:16 +0200

tdb (1.2.1-2) unstable; urgency=low

  * Add missing build dependency on xsltproc, docbook-xsl. Closes:
    #570950

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 14:28:59 +0100

tdb (1.2.1-1) unstable; urgency=low

  * New upstream release.
   + Adds manual pages for tdb-tools. Closes: #557819
  * Use source format 3.
  * Bump standards version to 3.8.4.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 22 Feb 2010 03:24:06 +0100

tdb (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Rename tdb-dev -> libtdb-dev.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 07 Dec 2009 22:18:51 +0100

tdb (1.1.5-2) unstable; urgency=low

  * Provide a symbols file.
  * Provide deprecated replacement of public tdb_logging_function symbol
    removed upstream without soname bump. Closes: #511011
  * Fix use of --as-needed.
  * Bump standards version to 3.8.2.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 18 Jul 2009 12:15:43 +0200

tdb (1.1.5-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 17 Jun 2009 16:57:30 +0200

tdb (1.1.4~git20090604-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Jun 2009 00:54:27 +0200

tdb (1.1.3-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 03:39:51 +0200

tdb (1.1.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Upload to unstable.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 21 Feb 2009 17:27:45 +0100

tdb (1.1.3~git20081222-2) experimental; urgency=low

  * Switch to python-central.
  * Add dummy watchfile explaining how to obtain an upstream tarball.
  * Fix version number. (Closes: #510885)
  * Bump shlibs because of newly added tdb_repack() symbol. (Closes: #510886)
  * Remove use of absolute paths per policy §6.1. (Closes: #510944)

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 25 Jan 2009 00:13:16 +0100

tdb (1.1.2~git20081222-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 22 Dec 2008 23:59:23 +0100

tdb (1.1.2~git20080615-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.0.

 -- Jelmer Vernooij <jelmer@samba.org>  Mon, 16 Jun 2008 00:41:17 +0200

tdb (1.1.2~git20080521-1) unstable; urgency=low

  * New upstream snapshot.
  * Fix soname symlink. (Closes: #482008, Closes: #482228)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 21 May 2008 17:41:28 +0200

tdb (1.1.2~git20080520-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 20 May 2008 01:52:37 +0200

tdb (1.1.1~svn26294-2) unstable; urgency=low

  * Add patch to clear spinlocks if set and opening a TDB in write mode.
    (Closes: #425716)
  * Change tdb-dev section to libdevel.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 25 Mar 2008 21:43:50 +0100

tdb (1.1.1~svn26294-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * 10_include_signalh.diff (Closes: #460302).
    + Include signal.h in tdb.h.
  * Re-add manpages. (Closes: #439809).
    + Fix manpage sections.
    + Escape hyphens as minus signs.
  * Fix return value in tdb_delete.3. (Closes: #385389).
  * Add ${shlibs:Depends} on python-tdb package.

 -- Barry deFreese <bddebian@comcast.net>  Sat, 08 Mar 2008 22:34:03 -0500

tdb (1.1.1~svn26294-1) unstable; urgency=low

  * New upstream snapshot.
  * Set Vcs-Svn field.
  * Support building twice in a row. (Closes: #442743)
  * Install SWIG file.
  * Upload to unstable.

 -- Jelmer Vernooij <jelmer@samba.org>  Tue, 04 Dec 2007 19:23:26 +0100

tdb (1.1.1~svn26181-1) unstable; urgency=low

  * Set homepage field.
  * New upstream snapshot.
  * Add python-tdb package.
  * Allow Debian Maintainer uploads.

 -- Jelmer Vernooij <jelmer@samba.org>  Sun, 25 Nov 2007 16:31:28 +0000

tdb (1.1.0-1) unstable; urgency=low

  * New upstream release.
  	* Removes spinlock code. (Closes: #400802)
    * References to tdb_lockkeys() were removed. (Closes: #309994)
    * Provide tdb_chain(un)lock() functions. (Closes: #412817)
  * New maintainer. (Closes: #411687)
  * Drop dependency on gdbm-dev.
  * Fix typo in copyright file. (Closes: #337506)

 -- Jelmer Vernooij <jelmer@samba.org>  Wed, 02 May 2007 20:02:08 +0200

tdb (1.0.6-13) unstable; urgency=high

  * Closes: #307214: ctrlproxy: FTBFS: /usr/include/tdb.h:150: error:
    parse error before '*' token
  * Thanks to Wilmer van der Gaast <lintux@debian.org> for providing
    the patch to fix the above issue.
  * Closes: #290211: Improper copyright file
  * Closes: #262490: tdb_1.0.6-8_mips: FTBFS: opcode not supported on
    this processor: mips1. Spinlocks are not used on mips.

 -- Marek Habersack <grendel@debian.org>  Wed,  4 May 2005 11:11:22 -0400

tdb (1.0.6-12) unstable; urgency=medium

  * Closes: #305771: libtdb is LGPL, rather than GPL as stated in
    copyright
  * Updated the configure file with the correct license information.
  * The binaries accompanying the library are _mostly_ marked as licensed
    under the GPL. As the effect, I'm (for now) assumming that those binaries
    that do not bear the license text are GPL-ed as well.
  * The sources have been updated from the Samba 3.0.14a release.
  * Closes: #305867: tdb fails to build on athlon64 running sarge/i386.
    Thanks to Len Sorensen <lennartsorensen@ruggedcom.com> for noticing that
    and providing the fix.

 -- Marek Habersack <grendel@debian.org>  Fri, 22 Apr 2005 17:39:20 -0400

tdb (1.0.6-11) unstable; urgency=high

  * Added #include <signal.h> in tdb.h, to get the definition of
    sig_atomic_t (closes: Bug#264601)

 -- Marek Habersack <grendel@debian.org>  Mon,  9 Aug 2004 20:05:36 +0200

tdb (1.0.6-10) unstable; urgency=high

  * tdbbackup is registered with the alternatives system now so that it
    does not conflict with the Samba package (closes: Bug#262605)

 -- Marek Habersack <grendel@debian.org>  Mon,  2 Aug 2004 01:58:39 +0200

tdb (1.0.6-9) unstable; urgency=high

  * MIPS doesn't want to cooperate on the spinlocks. Disabling it for the
    architecture (closes: Bug#262490).

 -- Marek Habersack <grendel@debian.org>  Sun,  1 Aug 2004 03:07:55 +0200

tdb (1.0.6-8) unstable; urgency=low

  * Updated the sources to their versions from the samba 3.0.5 package.
    The interface is 100% backward compatible.
  * Updated the Standards Version. No changes.
  * Enabled spinlocks for architectures that are supported (x86,sparc,
    mips,powerpc)

 -- Marek Habersack <grendel@debian.org>  Sat, 31 Jul 2004 03:23:39 +0200

tdb (1.0.6-7) unstable; urgency=high

  * Updated the libtool version (closes: Bug#201928)

 -- Marek Habersack <grendel@debian.org>  Fri, 18 Jul 2003 14:24:00 -0400

tdb (1.0.6-6) unstable; urgency=high

  * Bumped the standards version
  * Depends on debconf > 4.0
  * Fixed the build-time dependencies. Correctly depends on libgdbm-dev
    instead of on libgdbm1-dev (closes: Bug#199608)

 -- Marek Habersack <grendel@debian.org>  Tue,  1 Jul 2003 18:16:09 -0400

tdb (1.0.6-5) unstable; urgency=low

  * Modified tdbtool.c to properly use multi-line strings
    (closes: Bug#195257)
  * Corrected the copyright file to not use the boilerplate.

 -- Marek Habersack <grendel@debian.org>  Thu, 29 May 2003 15:25:54 -0400

tdb (1.0.6-4) unstable; urgency=high

  * made dependencies right for tdb-dev (closes: #143517)

 -- Marek Habersack <grendel@debian.org>  Thu, 18 Apr 2002 23:55:53 +0200

tdb (1.0.6-3) unstable; urgency=high

  * Added the shared library module. It is needed for some packages on hppa.

 -- Marek Habersack <grendel@debian.org>  Mon, 15 Apr 2002 19:28:09 +0200

tdb (1.0.6-2) unstable; urgency=high

  * Upgraded the config.guess and config.sub files (closes: #138609)

 -- Marek Habersack <grendel@debian.org>  Sun, 17 Mar 2002 00:35:25 +0100

tdb (1.0.6-1) unstable; urgency=medium

  * Latest upstream (closes: #137972)

 -- Marek Habersack <grendel@debian.org>  Wed, 13 Mar 2002 02:43:47 +0100

tdb (1.0.3-4) unstable; urgency=low

  * Updated config.guess and config.sub (closes: #103348)
  * Binaries in tdb-tools no longer are linked against the shared
    tdb library (closes: #102498)

 -- Marek Habersack <grendel@debian.org>  Wed,  4 Jul 2001 11:48:34 +0200

tdb (1.0.3-3) unstable; urgency=low

  * Fixed incorrect dependency on tdb1

 -- Marek Habersack <grendel@debian.org>  Thu, 17 May 2001 13:21:11 +0200

tdb (1.0.3-2) unstable; urgency=low

  * Changed the package description. Closes: #97636

 -- Marek Habersack <grendel@debian.org>  Wed, 16 May 2001 10:47:10 +0200

tdb (1.0.3-1) unstable; urgency=low

  * Initial Release.

 -- Marek Habersack <grendel@debian.org>  Mon,  7 May 2001 18:03:17 +0200
